Skip to content

Translation Roles v1

Reference for the Translation Roles v1 endpoints on Roblox.

Base URL: https://translationroles.roblox.com

MethodPathName
PATCH/v1/game-localization-roles/games/:gameIdpatchGameLocalizationRolesGamesGameid
GET/v1/game-localization-roles/games/:gameId/current-user/rolesgetGameLocalizationRolesGamesGameidCurrentUserRoles
GET/v1/game-localization-roles/games/:gameId/roles/:role/assigneesgetGameLocalizationRolesGamesGameidRolesRoleAssignees
GET/v1/game-localization-roles/roles/:role/current-usergetGameLocalizationRolesRolesRoleCurrentUser

PATCH /v1/game-localization-roles/games/:gameId

Assigns or revokes a role

Usage
import { fetchApi } from 'rozod';
import { patchGameLocalizationRolesGamesGameid } from 'rozod/lib/endpoints/translationrolesv1';
const data = await fetchApi(patchGameLocalizationRolesGamesGameid, {
gameId: /* integer */,
body: { /* ... */ }
});
NameTypeRequiredDescription
gameIdintegerYesThe id of the game

Type: UpdateRoleRequest.optional()

Type: unknown

StatusDescription
4003: Invalid game id
4: Invalid assignee id
6: Request body can’t be null
7: The role you are assigning has reached max limit
4010: Authorization has been denied for this request.
4030: Token Validation Failed
1: You must be authorized to use this endpoint
4295: Too many attempts. Please try again later.
5032: Feature is disabled

getGameLocalizationRolesGamesGameidCurrentUserRoles

Section titled “getGameLocalizationRolesGamesGameidCurrentUserRoles”

GET /v1/game-localization-roles/games/:gameId/current-user/roles

Retrieves the list of roles granted to current logged-in user

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesGamesGameidCurrentUserRoles } from 'rozod/lib/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesGamesGameidCurrentUserRoles, {
gameId: /* integer */
});
NameTypeRequiredDescription
gameIdintegerYesThe id of the game
FieldTypeDescription
datastring[]
StatusDescription
4003: Invalid game id
4010: Authorization has been denied for this request.
5032: Feature is disabled

getGameLocalizationRolesGamesGameidRolesRoleAssignees

Section titled “getGameLocalizationRolesGamesGameidRolesRoleAssignees”

GET /v1/game-localization-roles/games/:gameId/roles/:role/assignees

Gets list of users assigned a specific role in a game.

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesGamesGameidRolesRoleAssignees } from 'rozod/lib/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesGamesGameidRolesRoleAssignees, {
gameId: /* integer */,
role: /* unknown */
});
NameTypeRequiredDescription
gameIdintegerYesThe id of the game
roleunknownYesThe Roblox.GameLocalization.Client.GameLocalizationRoles.GameLocalizationRoleType
FieldTypeDescription
dataobject[]See below

data[] item fields:

FieldTypeDescription
idnumber
namestring
type`“user""group"
StatusDescription
4003: Invalid game id
4010: Authorization has been denied for this request.
4031: You must be authorized to use this endpoint
5032: Feature is disabled

getGameLocalizationRolesRolesRoleCurrentUser

Section titled “getGameLocalizationRolesRolesRoleCurrentUser”

GET /v1/game-localization-roles/roles/:role/current-user

Gets the list of games and associated role assignment info for the requested user and role.

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesRolesRoleCurrentUser } from 'rozod/lib/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesRolesRoleCurrentUser, {
role: /* unknown */,
exclusiveStartKey: /* string? */,
pageSize: /* integer? */,
groupId: /* integer? */
});
NameTypeRequiredDescription
roleunknownYesThe Roblox.GameLocalization.Client.GameLocalizationRoles.GameLocalizationRoleType
exclusiveStartKeystring?NoPart of pagination. Last primary key of returned items in previous operation.
pageSizeinteger?NoPart of pagination. Maximum number of items that might be returned in the page.
groupIdinteger?NoOptional seleted groupId of resources requested for the user and role.
FieldTypeDescription
gamesobject[]See below
previousPageCursorstring
nextPageCursorstring

games[] item fields:

FieldTypeDescription
gameIdnumber
assigneeobjectSee below

assignee fields:

FieldTypeDescription
assigneeType`“user""group"
idnumber
StatusDescription
40010: Invalid page size
11: Maximum page size exceeded
12: Invalid exclusive start key
4010: Authorization has been denied for this request.
5000: An unknown error occurred
5032: Feature is disabled